Install problem with /bin/grav install

Hello, after trying to install grav through git on a synology NAS, i get this error with the last step:
PHP Warning: Unsupported declare ‘strict_types’ in /volume1/web/grav/vendor/nette/di/src/compatibility.php on line 8

Warning: Unsupported declare ‘strict_types’ in /volume1/web/grav/vendor/nette/di/src/compatibility.php on line 8PHP Warning: Unsupported declare ‘strict_types’ in /volume1/web/grav/vendor/nette/di/src/DI/Config/Adapter.php on line 8

Warning: Unsupported declare ‘strict_types’ in /volume1/web/grav/vendor/nette/di/src/DI/Config/Adapter.php on line 8
PHP Parse error: syntax error, unexpected ‘:’, expecting ‘;’ or ‘{’ in /volume1/web/grav/vendor/nette/di/src/DI/Config/Adapter.php on line 22

Parse error: syntax error, unexpected ‘:’, expecting ‘;’ or ‘{’ in /volume1/web/grav/vendor/nette/di/src/DI/Config/Adapter.php on line 22

Does anybody have any idea on how to resolve this???

Hi and welcome! It’s helpful to add information about your setup when posting questions like this.

This looks very much like a PHP version or environment error to me. Which PHP version are you using and are there any non-standard PHP options being used that you know of?

(maybe most people know your setup from “synology NAS” but not me)

I use php7.3.8 on my synology DS211+ i use nginx and followed exactly the instructions in the grav manual. I had to install the composer separate and while installing it said it couldn’t use the cache because it wasn’t readable/ writable.

No apache installed and it was a clean DSM install, and than followed the grav instructions